Result Query
Update:
API Overview
POSThttps://isafe.ilivedata.com/api/v2/image/check/async/result
Used to get the asynchronous moderation result of an image.
Request Parameters
Request Headers
Header
Value
Description
Content-Type
application/json;charset=UTF-8
Request body type
Accept
application/json;charset=UTF-8
Return type accepted
X-AppId
—
The unique identifier of the project or application
X-TimeStamp
—
UTC time when the request is sent, in W3C format.
Example: 2026-09-30T02:30:00Z. Use the current time for actual requests.
Authorization
—
Signature value
Request Body
Parameter
Type
Required
Description
taskId
String
Required
Task ID returned after submitting the moderation task
Request Example
{
"taskId": "ap_99b2bf004d4a4591bfedbba9574e74d4_1702882338368"
}
Request Signature
See Request Signature in Help Center. Use these values for this endpoint:
Signing Parameter
Value
HTTPMethod
POST
HostHeaderInLowercase
isafe.ilivedata.com
HTTPRequestURI
/api/v2/image/check/async/result
HTTP Response
Content-Type: application/json;charset=UTF-8
The result is in JSON format. The response structure is the same as Single Image Synchronous Moderation (V2) - HTTP Response. In the result query scenario, errorCode has the following additional values:
errorCode
Description
0
Success
100001
Image download failed
100002
Image format error
100004
In progress
100005
taskId does not exist
Response Example
{
"errorCode": 0,
"result": 2,
"taskId": "ap_d56b5c2d38614be3bf1a1e98663d3c29_1653017203620",
"imageSpams": {
"tags": [
{
"tag": 110,
"level": 2,
"confidence": 95,
"nameZh": "暴恐",
"nameEn": "Violence",
"subTags": [
{
"subTag": 110008,
"level": 2,
"confidence": 95,
"nameZh": "枪支器械",
"nameEn": "guns and knife"
}
]
}
]
},
"personInfo": {
"human": { "number": 0 },
"face": { "number": 0 }
},
"extra": {}
}
Error Codes
See Common Error Codes in Help Center
API Overview
POST
https://isafe.ilivedata.com/api/v2/image/check/async/resultUsed to get the asynchronous moderation result of an image.
Request Parameters
Request Headers
| Header | Value | Description |
|---|---|---|
Content-Type |
application/json;charset=UTF-8 | Request body type |
Accept |
application/json;charset=UTF-8 | Return type accepted |
X-AppId |
— | The unique identifier of the project or application |
X-TimeStamp |
— | UTC time when the request is sent, in W3C format. Example: 2026-09-30T02:30:00Z. Use the current time for actual requests. |
Authorization |
— | Signature value |
Request Body
| Parameter | Type | Required | Description |
|---|---|---|---|
taskId |
String | Required | Task ID returned after submitting the moderation task |
Request Example
{
"taskId": "ap_99b2bf004d4a4591bfedbba9574e74d4_1702882338368"
}
Request Signature
See Request Signature in Help Center. Use these values for this endpoint:
| Signing Parameter | Value |
|---|---|
HTTPMethod |
POST |
HostHeaderInLowercase |
isafe.ilivedata.com |
HTTPRequestURI |
/api/v2/image/check/async/result |
HTTP Response
Content-Type: application/json;charset=UTF-8
The result is in JSON format. The response structure is the same as Single Image Synchronous Moderation (V2) - HTTP Response. In the result query scenario, errorCode has the following additional values:
| errorCode | Description |
|---|---|
| 0 | Success |
| 100001 | Image download failed |
| 100002 | Image format error |
| 100004 | In progress |
| 100005 | taskId does not exist |
Response Example
{
"errorCode": 0,
"result": 2,
"taskId": "ap_d56b5c2d38614be3bf1a1e98663d3c29_1653017203620",
"imageSpams": {
"tags": [
{
"tag": 110,
"level": 2,
"confidence": 95,
"nameZh": "暴恐",
"nameEn": "Violence",
"subTags": [
{
"subTag": 110008,
"level": 2,
"confidence": 95,
"nameZh": "枪支器械",
"nameEn": "guns and knife"
}
]
}
]
},
"personInfo": {
"human": { "number": 0 },
"face": { "number": 0 }
},
"extra": {}
}
Error Codes
See Common Error Codes in Help Center